<html>
<head>
<title>OGRE: Ogre::ILUtil Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ILUtil.html">ILUtil</a></div>
<h1>Ogre::ILUtil Class Reference</h1><!-- doxytag: class="Ogre::ILUtil" --><code>#include &lt;<a class="el" href="Attic_2OgreILUtil_8h-source.html">OgreILUtil.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ILUtil-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#4a8a3f47a753e1a4befc533b68da751a">ilFormat2OgreFormat</a> (int ImageFormat, int ImageType)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get OGRE format to which a given IL format can be most optimally converted.  <a href="#4a8a3f47a753e1a4befc533b68da751a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html">ILFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#76de19ce6e6f3584e2a118264798a02e">OgreFormat2ilFormat</a> (<a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get IL format that matches a given OGRE format exactly in memory.  <a href="#76de19ce6e6f3584e2a118264798a02e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#8eee75c63498f8bf422c48ffb25b4af9">toOgre</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert current IL image to an OGRE format.  <a href="#8eee75c63498f8bf422c48ffb25b4af9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#a4a01cb64df1dc9d44441494160f96f6">fromOgre</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert an OGRE format image to current IL image.  <a href="#a4a01cb64df1dc9d44441494160f96f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#4a8a3f47a753e1a4befc533b68da751a">ilFormat2OgreFormat</a> (int ImageFormat, int ImageType)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get OGRE format to which a given IL format can be most optimally converted.  <a href="#4a8a3f47a753e1a4befc533b68da751a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html">ILFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#76de19ce6e6f3584e2a118264798a02e">OgreFormat2ilFormat</a> (<a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> format)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get IL format that matches a given OGRE format exactly in memory.  <a href="#76de19ce6e6f3584e2a118264798a02e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#8eee75c63498f8bf422c48ffb25b4af9">toOgre</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;dst)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert current IL image to an OGRE format.  <a href="#8eee75c63498f8bf422c48ffb25b4af9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILUtil.html#a4a01cb64df1dc9d44441494160f96f6">fromOgre</a> (const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;src)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert an OGRE format image to current IL image.  <a href="#a4a01cb64df1dc9d44441494160f96f6"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html">ILFormat</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Structure that encapsulates a devIL image format definition.  <a href="structOgre_1_1ILUtil_1_1ILFormat.html#_details">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00041">41</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="4a8a3f47a753e1a4befc533b68da751a"></a><!-- doxytag: member="Ogre::ILUtil::ilFormat2OgreFormat" ref="4a8a3f47a753e1a4befc533b68da751a" args="(int ImageFormat, int ImageType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> Ogre::ILUtil::ilFormat2OgreFormat           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ImageFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ImageType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get OGRE format to which a given IL format can be most optimally converted. 
<p>

</div>
</div><p>
<a class="anchor" name="76de19ce6e6f3584e2a118264798a02e"></a><!-- doxytag: member="Ogre::ILUtil::OgreFormat2ilFormat" ref="76de19ce6e6f3584e2a118264798a02e" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html">ILFormat</a> Ogre::ILUtil::OgreFormat2ilFormat           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>format</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get IL format that matches a given OGRE format exactly in memory. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Returns an invalid <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> (.isValid()==false) when there is no IL format that matches this. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8eee75c63498f8bf422c48ffb25b4af9"></a><!-- doxytag: member="Ogre::ILUtil::toOgre" ref="8eee75c63498f8bf422c48ffb25b4af9" args="(const PixelBox &amp;dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILUtil::toOgre           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dst</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert current IL image to an OGRE format. 
<p>
The size of the target will be PixelUtil::getNumElemBytes(fmt) * ilGetInteger( IL_IMAGE_WIDTH ) * ilGetInteger( IL_IMAGE_HEIGHT ) * ilGetInteger( IL_IMAGE_DEPTH ) The IL image type must be IL(_UNSIGNED_)BYTE or IL_FLOAT. The IL image format must be IL_RGBA, IL_BGRA, IL_RGB, IL_BGR, IL_LUMINANCE or IL_LUMINANCE_ALPHA<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>tar</em>&nbsp;</td><td>Target pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ogrefmt</em>&nbsp;</td><td><a class="el" href="namespaceOgre.html">Ogre</a> pixel format to employ </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="a4a01cb64df1dc9d44441494160f96f6"></a><!-- doxytag: member="Ogre::ILUtil::fromOgre" ref="a4a01cb64df1dc9d44441494160f96f6" args="(const PixelBox &amp;src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILUtil::fromOgre           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert an OGRE format image to current IL image. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>src</em>&nbsp;</td><td>Pixelbox; encapsulates source pointer, width, height, depth and format </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="4a8a3f47a753e1a4befc533b68da751a"></a><!-- doxytag: member="Ogre::ILUtil::ilFormat2OgreFormat" ref="4a8a3f47a753e1a4befc533b68da751a" args="(int ImageFormat, int ImageType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> Ogre::ILUtil::ilFormat2OgreFormat           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ImageFormat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>ImageType</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get OGRE format to which a given IL format can be most optimally converted. 
<p>

</div>
</div><p>
<a class="anchor" name="76de19ce6e6f3584e2a118264798a02e"></a><!-- doxytag: member="Ogre::ILUtil::OgreFormat2ilFormat" ref="76de19ce6e6f3584e2a118264798a02e" args="(PixelFormat format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html">ILFormat</a> Ogre::ILUtil::OgreFormat2ilFormat           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&nbsp;</td>
          <td class="paramname"> <em>format</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get IL format that matches a given OGRE format exactly in memory. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Returns an invalid <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> (.isValid()==false) when there is no IL format that matches this. </dd></dl>

</div>
</div><p>
<a class="anchor" name="8eee75c63498f8bf422c48ffb25b4af9"></a><!-- doxytag: member="Ogre::ILUtil::toOgre" ref="8eee75c63498f8bf422c48ffb25b4af9" args="(const PixelBox &amp;dst)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILUtil::toOgre           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>dst</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert current IL image to an OGRE format. 
<p>
The size of the target will be PixelUtil::getNumElemBytes(fmt) * ilGetInteger( IL_IMAGE_WIDTH ) * ilGetInteger( IL_IMAGE_HEIGHT ) * ilGetInteger( IL_IMAGE_DEPTH ) The IL image type must be IL(_UNSIGNED_)BYTE or IL_FLOAT. The IL image format must be IL_RGBA, IL_BGRA, IL_RGB, IL_BGR, IL_LUMINANCE or IL_LUMINANCE_ALPHA<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>tar</em>&nbsp;</td><td>Target pointer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>ogrefmt</em>&nbsp;</td><td><a class="el" href="namespaceOgre.html">Ogre</a> pixel format to employ </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="a4a01cb64df1dc9d44441494160f96f6"></a><!-- doxytag: member="Ogre::ILUtil::fromOgre" ref="a4a01cb64df1dc9d44441494160f96f6" args="(const PixelBox &amp;src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILUtil::fromOgre           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1PixelBox.html">PixelBox</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Convert an OGRE format image to current IL image. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>src</em>&nbsp;</td><td>Pixelbox; encapsulates source pointer, width, height, depth and format </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a><li><a class="el" href="OgreILUtil_8h-source.html">OgreILUtil.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:04 2008
</p>
</body>
</html>
